De-deploy MoodBar from WMF wikis
Closed, ResolvedPublic

Description

The MoodBar extension was an experiment which was de-deployed from its target environment (enwiki) three years ago, in February 2013. The code is not really appropriate to put in front of users in a larger scale, as it did not achieve a significant enough change in new user behaviour and engagement to warrant the cost to them in terms of diversion and to the wider community in reaction. There has been only one non-generic fix in the past year. It's time.

Current user

WikiTaskRequested byDecommission discussion linkDisc. dateDiscussion summary
nlwikiT34202@Andre_EngelsWikipedia:De kroeg2015-04-01Consensus leans towards disabling, interested users (who used to reply to feedback) prefer disabling, feature is unused.

Former users

WikiTaskRequested byDecommission discussion linkDisc. dateDiscussion summary
frwikisourceT36618@TptWikisource:Questions techniques2015-04-01No objection to decommission the extension.
incubatorwikiT34417@SPQRobin
sewikimediaT34757@Ainali
testwikiT1316852015-04-03Glitches on the interface, removal is needed.
There are a very large number of changes, so older changes are hidden. Show Older Changes
Mbch331 added a subscriber: Mbch331.Apr 1 2016, 4:39 PM

What will be the result if one or more wiki's want to keep it? Will things break? Will there be a security issue? Or will there be no problem and will the extension keep on working without causing trouble for the rest of the site?

Not directly: we already have a lot of extensions without real maintainers, and any deployed extension have been a positive initial security review. The MediaWiki API for extension is rather stable on the middle term, so the question of maintaining the extension is more a long term one.

The best case would be if there is an interest from some developers from the community to upkeep it.

Dereckson edited the task description. (Show Details)Apr 2 2016, 1:32 AM

The best case would be if there is an interest from some developers from the community to upkeep it.

No. The best case is that we disable it.

Maybe should ask the wikis which are currently using this extesion before we dedeploy it?

I already asked on the Dutch Wikipedia a while ago. Mbch331 seems to be the only user in recent times (top responder, with 1 response).

We have to consider that we're effectively encouraging newbies to send their messages to a trashbin.

We still not have consensus at all wikis.

@Tpt Can you merge the two discussions? See here for the first.

Restricted Application added a subscriber: Urbanecm. · View Herald TranscriptApr 3 2016, 9:11 PM

We still not have consensus at all wikis.

See above.

and at incubator? I do not see a consens there at the moment. Is there a started discussion?

Dereckson added a comment.EditedApr 3 2016, 11:34 PM

As far as I know, no discussion on Incubator community portal, nor on se.wikimedia (but requester have been notified, which is probably enough for a chapter site, if not a mail would be the ideal).

So in order to this adding this tag again, till we have consensus at all wikis, we should keep it.

Nemo_bis edited the task description. (Show Details)Apr 10 2016, 4:11 PM

@Nemo_bis Please don't remove this tag only because YOU consider no consensus is needed. As far as I know, Luke has put this tag not once but three times, with a rationale.

We're aware you're in favour to remove the extension regardless nl. desiderata, there is no need to remove this tag to make an opinion. Tags should reflect the current state of the affairs and not become the instrument of wishful thinking.

My opinion is there is no emergency in the matter, and if we can have a discussion and an agreement amongst all concerned wikis, this is for the best of community interests.

I think that we should stop with this stupid edit war.

@Nemo_bis If you think that somewhere is the consensus, please tell us where. When I'll read this (https://nl.wikipedia.org/wiki/Wikipedia:De_kroeg#Moodbar_uitschakelen) with Google Translator I can see that five from eight users on nlwiki disagree with de-deploy. I think that this is not local consensus, so we should wait until the pool finish and then dedeploy it or allow wikis to use this extension.

So I'm re-adding the tag and if you have not link to consensus at all wikis that use this extension, please don't remove it. Thanks!

Luke081515 edited the task description. (Show Details)Apr 16 2016, 10:41 PM

I don't think that we can jsut dedeploy it, because no one used it currently. The commnity deciced activly to have, so they decide to remove it too.

Dereckson edited the task description. (Show Details)Apr 17 2016, 12:32 AM

I would've used "un-deploy", "uninstall", or "remove" before "de-deploy".

Natuur12 added a subscriber: Natuur12.EditedApr 17 2016, 3:38 PM

The discussion at the Dutch Wikipedia came to its natural end and there is no consensus to remove the MoodBar. Since there is no consensus, disabling it will require a vote at https://nl.wikipedia.org/wiki/Wikipedia:Stemlokaal.

Removing it now would be openly disrespecting the Dutch community.

Dereckson edited the task description. (Show Details)Apr 17 2016, 7:21 PM

Change 301893 had a related patch set uploaded (by Jforrester):
MoodBar: Disable on all wikis except nlwiki

https://gerrit.wikimedia.org/r/301893

The discussion at the Dutch Wikipedia came to its natural end and there is no consensus to remove the MoodBar. Since there is no consensus, disabling it will require a vote at https://nl.wikipedia.org/wiki/Wikipedia:Stemlokaal.

Was there consensus to retain it, or do you mean that no consensus either way was reached?

If there is no consensus to enable (keep enabled) an unused unmaintained broken extension, the extension should be disabled.

Natuur12 added a comment.EditedJul 30 2016, 6:56 PM

The discussion at the Dutch Wikipedia came to its natural end and there is no consensus to remove the MoodBar. Since there is no consensus, disabling it will require a vote at https://nl.wikipedia.org/wiki/Wikipedia:Stemlokaal.

Was there consensus to retain it, or do you mean that no consensus either way was reached?

The consensus was leaning towards keeping it. Four users wanted to keep it. One wants it removed. (The actual posts are more nuanced than a simple yes or no of course.)I am sorry but this does require a vote.

The discussion at the Dutch Wikipedia came to its natural end and there is no consensus to remove the MoodBar. Since there is no consensus, disabling it will require a vote at https://nl.wikipedia.org/wiki/Wikipedia:Stemlokaal.

Was there consensus to retain it, or do you mean that no consensus either way was reached?

The consensus was leaning towards keeping it. Four users wanted to keep it. One wants it removed. (The actual posts are more nuanced than a simple yes or no of course.)I am sorry but this does require a vote.

I disagree. The relevant discussion is archived at https://nl.wikipedia.org/wiki/Wikipedia:De_kroeg/Archief/20160419#Moodbar_uitschakelen. Six users responded to the question if there were any objections to disabling the extension. Only two of those users (me and Sumurai8) actively responded to feedback using the dashboard.

Two users objected to disabling the function, noting it's "not in anyone's way". It IS in the way though, in the sense that new users see this pop-up and apparently feel the need to leave pointless feedback to get rid of it, or leave feedback without realizing nobody will ever get back to them on it (and in the rare case someone does, 9 out of 10 times that user in turn has left the project). Three users objected to disabling the function, remarking that as long as people were still responding to the feedback, it's a useful extension. I recall that only two users were actively responding to feedback at the time, and both have since stopped doing this. The last reply is from four weeks ago, and the last reply before that is from four months ago. Over the last five months, the system was used almost 400 times to leave feedback, resulting in a mere five replies. Lastly, one user (myself) offered no objection to disabling the system (citing its apparent lack of use).

Consensus was leaning towards disable if you take into account the three users that said "objection, as long as feedback is being replied to".

I didn't check the reply-rate but if this is the case you do have a point. (My mistake for not checking it). Personally I don't mind if the moodbar goes. It never worked properly anyways. Perhaps we should contact the users who claimed "keep unless feedback is replied to"?

Nemo_bis edited the task description. (Show Details)Jul 31 2016, 7:12 AM

Change 301893 merged by jenkins-bot:
MoodBar: Disable on all wikis except nlwiki

https://gerrit.wikimedia.org/r/301893

Mentioned in SAL [2016-08-08T15:08:00Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:301893|MoodBar: Disable on all wikis except nlwiki (T131340)]] (duration: 01m 08s)

OK, it's now gone from everywhere except nlwiki. I'd really like to remove this extra cost if possible. Does someone who speaks Dutch want to work with that community on this? Alternatively, should I start sending the bill to WMNL? ;-)

@Jdforrester-WMF: if you can mention some disadvantages of keeping it online it shouldn't be too hard for me to start a poll or a vote. You mention "cost". If this extension costs money it would counter the argument that the extension "isn't a bother/isn't in the way" for example.

@Jdforrester-WMF: if you can mention some disadvantages of keeping it online it shouldn't be too hard for me to start a poll or a vote. You mention "cost". If this extension costs money it would counter the argument that the extension "isn't a bother/isn't in the way" for example.

Sure, thank you! Off the top of my head:

Points against:

  • The scientific evidence from the paper was that the software was very good at getting new users to give a response, but that our communities were very poor at doing anything with it. This meant that the feature promises engagement and then doesn't provide it, which is much worse than simply not lying to new users in the first place.
  • It is used exceptionally rarely.
  • It integrates poorly into all other workflows for new users, so they are lured into using it and then stranded with nowhere else to go. The vision was for this to be part of a wide range of tools but we didn't develop them from here because of the failure of the tool.
  • It integrates poorly into all other workflows for sysops, so they will often forget to look through the queue to welcome new users (c.f. my first point), and when they do the system is poorly set-up to help them do common tasks from that point.

The cost stuff is because /every/ extension costs money:

  • … to keep developers around who know roughly how it works and how to fix it when it breaks, when it needs updating, when there's a security issue;
  • … to keep in mind when documenting things, as we have to add yet one more thing to the list of specialist things people may inquire about;
  • … to keep in mind when changing things, as we have to work around this, make sure we don't break it, and consider whether we'd need to alter it to compensate; and
  • … to run the code, including the (even the code checking whether to run the code is a little bit of a server and user performance cost – to put it bluntly, every page on every wiki is a little slower because we haven't removed this code yet).

(There might be other reasons; others are wiser than I am!)

Seems like a huge list. Now all the arguments provided why the moodbar should stay have been countered "we" could also go ahead and remove it. It is unused after all and the objections aren't rational.

Change 303573 had a related patch set uploaded (by Nemo bis):
Finish removing MoodBar, including nl.wikipedia

https://gerrit.wikimedia.org/r/303573

Change 303573 abandoned by Jforrester:
Finish removing MoodBar, including nl.wikipedia

Reason:
Dupe of I91eca356b30.

https://gerrit.wikimedia.org/r/303573

Change 303575 had a related patch set uploaded (by Nemo bis):
Finish removing MoodBar, including nl.wikipedia

https://gerrit.wikimedia.org/r/303575

The Wikimedia aggregate group on translatewiki.net was taken care of already (218c8696612732b55ee90455cc8fda46980fb418) so that's one thing less to do.

Change 303575 abandoned by Jforrester:
Finish removing MoodBar, including nl.wikipedia

Reason:
Duplicate of I91eca356b3.

https://gerrit.wikimedia.org/r/303575

Change 303575 restored by Jforrester:
Finish removing MoodBar, including nl.wikipedia

Reason:
Wait, no, I'm an idiot, sorry.

https://gerrit.wikimedia.org/r/303575

Change 326875 had a related patch set uploaded (by Reedy):
Disable MoodBar on nlwiki

https://gerrit.wikimedia.org/r/326875

Change 326875 merged by jenkins-bot:
Disable MoodBar on nlwiki

https://gerrit.wikimedia.org/r/326875

Mentioned in SAL (#wikimedia-operations) [2016-12-13T01:54:01Z] <reedy@tin> Synchronized wmf-config/InitialiseSettings.php: Disable moodbar on nlwiki T131340 (duration: 00m 45s)

Change 280624 merged by jenkins-bot:
Undeploy the MoodBar extension

https://gerrit.wikimedia.org/r/280624

Mentioned in SAL (#wikimedia-operations) [2016-12-13T01:57:48Z] <reedy@tin> Synchronized wmf-config: Remove all MoodBar config T131340 (duration: 00m 47s)

Reedy closed this task as "Resolved".Dec 13 2016, 1:58 AM
Reedy claimed this task.
Reedy added a subscriber: Reedy.

It's gone

Change 303575 merged by jenkins-bot:
Stop branching MoodBar

https://gerrit.wikimedia.org/r/303575